Smalltalk createPackage: 'Webstore'!
(Smalltalk packageAt: 'Webstore' ifAbsent: [ self error: 'Package not created: Webstore' ]) imports: {'amber/web/Web'. 'amber/web/Web-JQuery'. 'silk/Silk'}!
Object subclass: #Webstore
	slots: {}
	package: 'Webstore'!

!Webstore methodsFor: 'action'!

doInspectStatus
	(self getApi: '/status')
		then: {#json. #inspect}
		catch: [ :err | Terminal alert: err ]
! !

!Webstore methodsFor: 'backend'!

endpoint
	"Return something like 'https://<char mess>.execute-api.eu-central-1.amazonaws.com/default'"
	^ self error: 'Not yet implemented'
!

getApi: path
	^ Platform fetch: self endpoint, path
! !

!Webstore methodsFor: 'starting'!

augmentPage
! !

!Webstore class methodsFor: 'starting'!

start
	self new augmentPage
! !

